%define upstream_name    Test-Fatal
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Incredibly simple helpers for testing code with exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(overload)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Test::Fatal is an alternative to the popular the Test::Exception manpage.
It does much less, but should allow greater flexibility in testing
exception-throwing code with about the same amount of typing.

It exports one routine by default: 'exception'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Jun 13 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 684825
- update to new version 0.006

* Thu Apr 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1
+ Revision: 660019
- update to new version 0.005

* Sun Apr 24 2011 Funda Wang <fwang@mandriva.org> 0.3.0-3
+ Revision: 658291
- rebuild

* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 0.3.0-2
+ Revision: 657842
- rebuild for updated spec-helper

* Sat Nov 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 594247
- import perl-Test-Fatal

